api reference manual
====================

Browse the various function and classes :doc:`Sol<../index>` utilizes to make your life easier when working with Lua.


.. toctree::
   :caption: Sol API
   :name: apitoc
   :maxdepth: 2

   state
   this_state
   reference
   stack_reference
   make_reference
   table
   userdata
   environment
   this_environment
   proxy
   as_container
   nested
   as_table
   usertype
   usertype_memory
   unique_usertype_traits
   tie
   function
   protected_function
   coroutine
   yielding
   error
   object
   thread
   optional
   variadic_args
   variadic_results
   as_args
   as_returns
   overload
   property
   var
   protect
   filters
   readonly
   as_function
   c_call
   resolve
   stack
   user
   compatibility
   types
   metatable_key
   new_table
